Create Folder

Deprecated
View as MarkdownOpen in Claude
Create a folder at a given path. **Required scope:** `files.content.write` **Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints) **Authentication:** [User](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#user-authentication), [Dropbox-API-Select-Admin (Team Admin)](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#admin-authentication-via-dropbox-api-select-admin)

Authentication

AuthorizationBearer
OAuth 2.0 token issued to a specific user. Use `Authorization: Bearer <token>`. Public clients should use the authorization code flow with PKCE (S256). For background or offline access, send `token_access_type=offline` during authorization and use the returned refresh token to obtain new access tokens. You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).

Headers

Dropbox-API-Select-UserstringOptional

Acts on behalf of a team member for supported user-auth operations. Pass a team member ID such as dbmid:.... When used with a team token, that token must also include the team_data.member scope.

Dropbox-API-Select-AdminstringOptional

Acts as the specified team admin for supported user-auth operations. Pass a team member ID for an admin account. When used with a team token, that token must also include the team_data.member scope.

Dropbox-API-Path-RootstringOptional
Scopes path-based operations to a namespace (root). The value is a JSON serialization of the `common.PathRoot` union: `{".tag": "home"}`, `{".tag": "root", "root": "<namespace_id>"}`, or `{".tag": "namespace_id", "namespace_id": "<namespace_id>"}`. On failure the request returns 422 with a `common.PathRootError`.

Request

This endpoint expects an object.
pathstringRequiredformat: "(/(.|[\r\n])*)|(ns:[0-9]+(/(.|[\r\n])*)?)"
Path in the user's Dropbox to create.
autorenamebooleanOptionalDefaults to false
If there's a conflict, have the Dropbox server try to autorename the folder to avoid the conflict.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
idstring>=1 character
A unique identifier for the folder.
namestring

The last component of the path (including extension). This never contains a slash.

path_displaystring or nullOptional

The cased path to be used for display purposes only. In rare instances the casing will not correctly match the user’s filesystem, but this behavior will match the path provided in the Core API v1, and at least the last path component will have the correct casing. Changes to only the casing of paths won’t be returned by list_folder/continue. This field will be null if the file or folder is not mounted.

path_lowerstring or nullOptional
The lowercased full path in the user's Dropbox. This always starts with a slash. This field will be null if the file or folder is not mounted.
preview_urlstring or nullOptional
The preview URL of the file.
property_groupslist of objects or nullOptional

Additional information if the file has custom properties with the property template specified. Note that only properties associated with user-owned templates, not team-owned templates, can be attached to folders.

sharing_infoobject or nullOptional
Set if the folder is contained in a shared folder or is a shared folder mount point.
parent_shared_folder_idany or nullOptionalDeprecated

Please use FileSharingInfo.parent_shared_folder_id or FolderSharingInfo.parent_shared_folder_id instead.

shared_folder_idany or nullOptionalDeprecated

Please use sharing_info instead.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error